Notus API
User operations

Execute limit order cancellation

Submits the signed Velora Delta limit-order cancellation payload.

POST
/api/v1/crypto/limit-orders/{transactionId}/cancel/execute
x-api-key<token>

In: header

Path Parameters

transactionIdstring
Length1 <= length
signaturestring
Match^0x([a-fA-F0-9]{2})*$

Response Body

curl -X POST "https://api.notuslabs.xyz/api/v1/crypto/limit-orders/string/cancel/execute" \  -H "Content-Type: application/json" \  -d '{    "signature": "string"  }'
{
  "success": true
}
{
  "statusCode": 400,
  "id": "CANCEL_LIMIT_ORDER_NOT_ALLOWED",
  "message": "The provided transaction is not an active cancellable limit order."
}
{
  "statusCode": 404,
  "id": "CANCEL_LIMIT_ORDER_TRANSACTION_NOT_FOUND",
  "message": "Limit order transaction not found."
}